<?php

declare(strict_types=1);

namespace App\Model;

use Hyperf\DbConnection\Model\Model;

/**
 */
class GlobalTableField extends Model
{
    /**
     * The table associated with the model.
     */
    protected ?string $table = 'global_table_field';
    /**
     * The connection name for the model.
     */
    protected ?string $connection = 'global';

    /**
     * The attributes that are mass assignable.
     */
    protected array $fillable = [
        'table_id',
        'field_name',
        'title',
        'field_type',   
        'option',
        'length',
        'sort',
        'is_check',
        'admin_display',
        'home_display',
        'disable_del',
        'regular'
    ];

    /**
     * The attributes that should be cast to native types.
     */
    protected array $casts = [];

}
